Commit e2c1cdee authored by Sebastian Dröge's avatar Sebastian Dröge 🍵

Update gir configurations to generate correct version features and dependencies

parent a983541a
......@@ -6,6 +6,23 @@ min_cfg_version = "1.0"
target_path = "gstreamer-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject",
]
ignore = [
"Gst.VERSION_MAJOR",
"Gst.VERSION_MINOR",
......@@ -19,7 +36,6 @@ ignore = [
"Gst.FOURCC_FORMAT",
]
external_libraries = [
"GLib",
"GObject",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
......@@ -10,6 +10,22 @@ external_libraries = [
"GLib",
]
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
[external_libraries]
gstreamer="Gst"
gstreamer_base="GstBase"
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
......@@ -6,11 +6,27 @@ min_cfg_version = "1.0"
target_path = "gstreamer-audio-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
gstreamer_base="GstBase"
......@@ -6,10 +6,26 @@ min_cfg_version = "1.0"
target_path = "gstreamer-base-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
......@@ -6,7 +6,16 @@ min_cfg_version = "1.0"
target_path = "gstreamer-check-sys"
work_mode = "sys"
ignore = [
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
......@@ -14,5 +23,9 @@ external_libraries = [
"GObject",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
......@@ -6,12 +6,28 @@ min_cfg_version = "1.0"
target_path = "gstreamer-editing-services-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject",
"Gio",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
gstreamer_base="GstBase"
......
......@@ -6,6 +6,11 @@ min_cfg_version = "1.14"
target_path = "gstreamer-gl-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
]
ignore = [
"GstGL.GL_DISPLAY_EGL_NAME",
"GstGL.GL_COLOR_CONVERT_VIDEO_CAPS",
......@@ -18,6 +23,10 @@ external_libraries = [
"GObject",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
gstreamer-base="GstBase"
......
......@@ -6,10 +6,26 @@ min_cfg_version = "1.12"
target_path = "gstreamer-mpegts-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
......@@ -6,11 +6,27 @@ min_cfg_version = "1.0"
target_path = "gstreamer-net-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject",
"Gio",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
......@@ -6,6 +6,18 @@ min_cfg_version = "1.0"
target_path = "gstreamer-pbutils-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
ignore = [
"GstPbutils.PLUGINS_BASE_VERSION_MAJOR",
"GstPbutils.PLUGINS_BASE_VERSION_MINOR",
......@@ -18,6 +30,10 @@ external_libraries = [
"GObject",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
gstreamer_audio="GstAudio"
......
......@@ -6,11 +6,21 @@ min_cfg_version = "1.12"
target_path = "gstreamer-player-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
]
external_libraries = [
"GLib",
"GObject",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
gstreamer_video="GstVideo"
......@@ -6,11 +6,27 @@ min_cfg_version = "1.0"
target_path = "gstreamer-rtp-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject"
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
gstreamer_base="GstBase"
......@@ -6,12 +6,28 @@ min_cfg_version = "1.0"
target_path = "gstreamer-rtsp-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject",
"Gio"
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
gstreamer_sdp="GstSdp"
......@@ -6,12 +6,28 @@ min_cfg_version = "1.0"
target_path = "gstreamer-rtsp-server-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject",
"Gio"
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
gstreamer_net="GstNet"
......
......@@ -6,10 +6,26 @@ min_cfg_version = "1.0"
target_path = "gstreamer-sdp-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject"
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
......@@ -6,11 +6,27 @@ min_cfg_version = "1.0"
target_path = "gstreamer-tag-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
gstreamer_base="GstBase"
......@@ -6,11 +6,27 @@ min_cfg_version = "1.0"
target_path = "gstreamer-video-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
"1.14",
"1.12",
"1.10",
"1.8",
"1.6",
"1.4",
"1.2",
]
external_libraries = [
"GLib",
"GObject",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
gstreamer_base="GstBase"
......@@ -6,11 +6,20 @@ min_cfg_version = "1.14"
target_path = "gstreamer-webrtc-sys"
work_mode = "sys"
extra_versions = [
"1.18",
"1.16",
]
external_libraries = [
"GLib",
"GObject",
]
[[lib_version_overrides]]
version = "1.18"
lib_version = "1.17"
[external_libraries]
gstreamer="Gst"
gstreamer_sdp="GstSdp"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment